SIMECK32_Info Struct Reference

SIMECK block cipher information. More...

`#include <simeck.h>`

Inheritance diagram for SIMECK32_Info:

## Static Public Member Functions

static const std::string | StaticAlgorithmName ()
| The algorithm name.
Static Public Member Functions inherited from FixedKeyLength< 8 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.

## Additional Inherited Members

Static Public Attributes inherited from FixedBlockSize< 4 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< 8 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.
Static Public Attributes inherited from FixedRounds< 32 >
static const int | ROUNDS
| The number of rounds for the algorithm provided as a constant.

## Detailed Description

SIMECK block cipher information.

Since
  Crypto++ 8.0

Definition at line 24 of file simeck.h.

## Member Function Documentation

## StaticAlgorithmName()

static const std::string SIMECK32_Info::StaticAlgorithmName | ( |  | ) |

inline static

The algorithm name.

Returns
  the algorithm name

StaticAlgorithmName returns the algorithm's name as a static member function.

Definition at line 30 of file simeck.h.

The documentation for this struct was generated from the following file:

- simeck.h